%define ver    1.1
%define rel    6
%define prefix /usr

Name:      bandmin
Version:   %{ver}
Release:   %{rel}
Copyright: GPL
Packager:  J. Nick Koston
URL:       http://www.bandmin.org
Source:    ftp://missinglink.darkorb.net/pub/bandmin/bandmin-devel/bandmin-%{version}.tar.gz
Group:     Networking/Utilities
Summary:   Bandmin is a simple set of perl scripts designed to record and log ip accouting data
BuildRoot: /tmp/%{name}-%{version}-root
BuildArchitectures: noarch

%description 
Bandmin is a simple set of perl scripts designed to record and log ip accouting data. It can also display the data that it collects in a set of html pages.   Bandmin currently has support for ipchains, UserIPAcct, ipfwadm, and ipfw. 
       


%prep
%setup


%build
./configure
make

%install
/usr/bin/install -c -m755 -c -d $RPM_BUILD_ROOT/etc/rc.d/init.d
/usr/bin/install -c -m755 -c -d $RPM_BUILD_ROOT/usr/local/bandmin
/usr/bin/install -c -m755 -c -d $RPM_BUILD_ROOT/usr/local/bandmin/htdocs
/usr/bin/install -c -m755 -c -d $RPM_BUILD_ROOT/var/log/bandwidth
/usr/bin/install -c -m744 -c redhat/bandmin.init $RPM_BUILD_ROOT/etc/rc.d/init.d/bandmin
/usr/bin/install -c -m744 -c bandmin $RPM_BUILD_ROOT/usr/local/bandmin/bandmin
/usr/bin/install -c -m744 -c bandminconf $RPM_BUILD_ROOT/usr/local/bandmin/bandminconf
/usr/bin/install -c -m744 -c bandmin.conf $RPM_BUILD_ROOT/usr/local/bandmin/bandmin.conf
/usr/bin/install -c -m744 -c services.conf $RPM_BUILD_ROOT/usr/local/bandmin/services.conf
/usr/bin/install -c -m744 -c bmversion.pl $RPM_BUILD_ROOT/usr/local/bandmin/bmversion.pl
/usr/bin/install -c -m744 -c bandminstart $RPM_BUILD_ROOT/usr/local/bandmin/bandminstart
/usr/bin/install -c -m755 -c bandmin.cgi $RPM_BUILD_ROOT/usr/local/bandmin/htdocs/index.cgi
/usr/bin/install -c -m755 -c html/style.css $RPM_BUILD_ROOT/usr/local/bandmin/htdocs/style.css
/usr/bin/install -c -m744 -c ipaddrmap $RPM_BUILD_ROOT/usr/local/bandmin/ipaddrmap
/usr/bin/install -c -m744 -c upgrade.pl $RPM_BUILD_ROOT/usr/local/bandmin/upgrade.pl
/usr/bin/install -c -m755 -c -d $RPM_BUILD_ROOT/usr/local/bandmin/IP
/usr/bin/install -c -m744 -c perlmod/Acct.pm $RPM_BUILD_ROOT/usr/local/bandmin/IP/Acct.pm
/usr/bin/install -c -m744 -c perlmod/UserAcct.pm $RPM_BUILD_ROOT/usr/local/bandmin/IP/UserAcct.pm
/usr/bin/install -c -m644 -c images/in.gif $RPM_BUILD_ROOT/usr/local/bandmin/htdocs/in.gif
/usr/bin/install -c -m644 -c images/out.gif $RPM_BUILD_ROOT/usr/local/bandmin/htdocs/out.gif
/usr/bin/install -c -m644 -c images/total.gif $RPM_BUILD_ROOT/usr/local/bandmin/htdocs/total.gif
chown -R root:wheel $RPM_BUILD_ROOT/usr/local/bandmin

%files 
%doc README README.IPFW RELEASE.DATE INSTALL ChangeLog COPYING
/usr/local/bandmin
/etc/rc.d/init.d/bandmin

%changelog
* Sun Apr 17 1999 J. Nick Koston
- First RPM builds


%post
echo "`/usr/bin/crontab -l | /bin/grep -v "^#" | \
grep -v "bandmin" | grep -v "ipaddrmap"`" > ./.crontab
echo "2,58 * * * * /usr/local/bandmin/bandmin" >> ./.crontab
echo "0 0 * * * /usr/local/bandmin/ipaddrmap" >> ./.crontab
/usr/bin/crontab ./.crontab
rm -f ./.crontab
rm -f /usr/local/bandmin/htdocs/index.html
/sbin/chkconfig --add bandmin
perl /usr/local/bandmin/upgrade.pl
/usr/local/bandmin/bandminstart
/usr/local/bandmin/ipaddrmap 
